%define		pkg	tar
Summary:	tar for node
Name:		nodejs-%{pkg}
Version:	1.0.1
Release:	1
License:	MIT
Group:		Development/Libraries
Source0:	http://registry.npmjs.org/%{pkg}/-/%{pkg}-%{version}.tgz
# Source0-md5:	c53f4ecca854ba617b00b9eaef2b26c5
URL:		https://github.com/isaacs/tar
BuildRequires:	rpmbuild(macros) >= 1.634
Requires:	nodejs
Requires:	nodejs-block-stream
Requires:	nodejs-fstream < 2
Requires:	nodejs-fstream >= 1.0.2
Requires:	nodejs-inherits < 3
Requires:	nodejs-inherits >= 2
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
tar for node.

%prep
%setup -qc
mv package/* .

%install
rm -rf $RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT%{nodejs_libdir}/%{pkg}
cp -pr lib %{pkg}.js package.json $RPM_BUILD_ROOT%{nodejs_libdir}/%{pkg}

install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}
cp -a examples/* $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README.md
%{nodejs_libdir}/%{pkg}
%{_examplesdir}/%{name}-%{version}
%changelog
* Sun Jan 10 2016 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/nodejs-tar.git;a=log;h=master

* Sun Jan 10 2016 Elan Ruusamäe <glen@delfi.ee> 50efdf6
- up to 1.0.1

* Sat Jan 09 2016 Elan Ruusamäe <glen@delfi.ee> 7b8f6e4
- up to 1.0.0

* Sat Jan 09 2016 Elan Ruusamäe <glen@delfi.ee> 66cdb88
- up to 0.1.20

* Wed Mar 05 2014 Łukasz Kieś <kiesiu@pld-linux.org> f3882aa
- updated to 0.1.19

* Thu Apr 04 2013 Elan Ruusamäe <glen@delfi.ee> d1d7445
- up to 0.1.17

* Thu Mar 07 2013 Aria <aredridel@nbtsc.org> 0f3a842
- v0.1.16

* Thu Jun 14 2012 Elan Ruusamäe <glen@pld-linux.org> 7e7d2be
- up to 0.1.13

* Wed Jan 25 2012 Elan Ruusamäe <glen@pld-linux.org> d44990e
- initial node pkgs for npm deps
  based on specs from http://nodejs.tchol.org/ repo

